########## ui

require(shiny)

shinyUI(pageWithSidebar(
  headerPanel("Dialects in the Gifu Prefecture"),
  sidebarPanel(
    selectInput("dataset", "Meaning:",
      choices=c("Pepper",
                "Corn",
                "ThirdFinger",
                "HairWhirl",
                "Stilt",
                "BeanBag",
                "Uruchimai",
                "Potato",
                "Cotton",
                "Taro"
      )),  
    numericInput("num", "Group:", 0) ,
    
	sliderInput("icex", "Symbol size", min=0.4,max=3,value=1.6,step=0.2),
    
	sliderInput("ilwd", "Symbol line width", min=1,max=3,value=2,step=0.2),
    
  sliderInput("rcex", "Legend rightside", min=0.6,max=2,value=0.8,step=0.1),
    
	checkboxInput("bdry", "Boundary of Prefectures", TRUE),

    radioButtons("bcol", "  Boundary color:",
	  list("Brown"="brown",
		   "Black"="black",
	##	   "Aquamarine"="aquamarine",
		   "Orchid"="orchid") ),
	helpText("Note: CRS '+proj=merc ...'")  ),             

  mainPanel(
    h3(textOutput("caption"))  ,
#   verbatimTextOutput("summary"),
#	tableOutput("view") ,
    plotOutput("mapPlot")
  )
))

