library(shiny)
library(mvtnorm)
library(ellipse)
shinyServer(function(input, output){ 
addlines <- function(dat,rho,lwd,lty){
  abline(h=0,v=0,col=1,lty=lty)
  covdat <- cov(dat)
  e <- eigen(covdat)
  lines(ellipse(covdat), type="l",lty=lty)
  abline(0,e$vectors[2,1]/e$vectors[1,1],
    col="blue", lwd=lwd)
  abline(0,e$vectors[2,2]/e$vectors[1,2],
    col="red", lwd=lwd)
  a <- covdat[1,2]/covdat[1,1]
  b <- mean(dat[,2])-a*mean(dat[,1])
  abline(b,a, lwd=lwd)
  round(cor(dat[,1],dat[,2]),3)
}
output$sPlot <- renderPlot({ ## scatter
 par(mar=c(4,2,3,2))
 plot(dat <- rmvnorm(input$num, 
  sigma=matrix(c(1,input$rho,input$rho,1),
    ncol=2)), asp=1, 
  main=paste("Correlated MultiNormal Distribution\n",
    "n=", input$num, "  rho=",
    round(input$rho,3), "  r=",
    r <- addlines(dat,input$rho,2,1) ), 
  xlim=c(-4,4), ylim=c(-4,4),pch=input$pch,
  xlab="black:Regression, blue:PC1, red:PC2",
  ylab="", col=input$col   ##, family="serif" 
 )
})  # renderPlot
})  # shinyServer

